Create HA Group

Create HA Group
Create an HA group

Creates a High Availability (HA) group from two or more network extension appliances to provide redundancy and failover capabilities. HA groups ensure continuous network extension service availability if one appliance fails. The group synchronizes state between members, monitors health, and automatically fails over to standby appliances when the primary becomes unavailable.

Request
URI
POST
https://{server}/hybridity/api/interconnect/appliances/ha/groups
COPY
Request Body

HA Group configuration including appliances to group, HA policy, and optional group name. All specified appliances must meet the requirements listed above. The HA policy determines how traffic is distributed and failover behavior.

createHAGroupRequest of type(s) application/json
Required
{
    "appliances": [
        "string"
    ],
    "policyInfo": {
        "policy": "string"
    },
    "groupId": "string"
}
array of string
appliances
Optional

appliances

object
policyInfo
Optional

policyInfo

string
groupId
Optional

groupId

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns GroupActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "groupId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns GroupActionBadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns HAInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/appliances/ha/groups